<script setup lang="ts">
import { ref } from 'vue'
import { usePosStore } from '../stores/pos'
const pos = usePosStore()
const selectedPayments = ref(['Cash', 'PromptPay', 'Credit Card'])
const tempValue = ref<number>()

function giveMoney(money: number) {
  pos.calMoney(money)
}
</script>
<template>
  <v-container>
    <v-row class="ml-1">
      <v-col cols="6">
        <v-select
          variant="outlined"
          density="compact"
          :items="selectedPayments"
          label="วิธีชำระเงิน"
        ></v-select>
      </v-col>
      <v-col cols="6">
        <v-text-field
          variant="outlined"
          density="compact"
          label="จำนวน"
          type="number"
          v-model="tempValue"
          @update:model-value="
            (v) => {
              giveMoney(+v)
            }
          "
        />
      </v-col>
      <v-col cols="12">
        <p>เงินทอน : {{ pos.tempReceipt.change }} บาท</p>
      </v-col>
    </v-row>
  </v-container>
</template>
